apiVersion: v2
name: o11y-demo
description: Observability stack demo for Kubernetes

# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: 0.1.0

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
# It is recommended to use it with quotes.
appVersion: "0.1.0"


dependencies:
  - name: kube-prometheus-stack
    version: "~17.0.3"
    repository: https://prometheus-community.github.io/helm-charts
    condition: kube-prometheus-stack.enabled
  - name: elasticsearch
    version: "~7.9.3"
    repository: https://helm.elastic.co
    condition: elasticsearch.enabled
  - name: kibana
    version: "~7.9.2"
    repository: https://helm.elastic.co
    condition: kibana.enabled
  - name: fluent-bit
    version: "~0.16.1"
    repository: https://fluent.github.io/helm-charts
    condition: fluent-bit.enabled
  - name: jaeger
    version: "~0.46.4"
    repository: https://jaegertracing.github.io/helm-charts
    condition: jaeger.enabled